Bug 1332514 - Removing a zone from a multisite config does not work
Summary: Removing a zone from a multisite config does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Casey Bodley
QA Contact: shilpa
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-03 11:21 UTC by shilpa
Modified: 2017-07-30 16:02 UTC (History)
10 users (show)

Fixed In Version: RHEL: ceph-10.2.1-1.el7cp Ubuntu: ceph_10.2.1-2redhat1xenial
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:37:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 15684 None None None 2016-05-03 17:55:48 UTC
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description shilpa 2016-05-03 11:21:28 UTC
Description of problem:
Need to add "zonegroup remove" support to be able to delete a zone from the the cluster. Currently zone is deleted only in the local config and does not get updated in other zones. 

Version-Release number of selected component (if applicable):
10.2.0

Upstream tracker:
http://tracker.ceph.com/issues/15684

Comment 2 monti lawrence 2016-05-10 20:21:44 UTC
Merged pull request. Casey to provide link.

Comment 3 Yehuda Sadeh 2016-05-10 20:30:57 UTC
Merged upstream, PR #9015

Comment 4 Ken Dreyer (Red Hat) 2016-05-13 23:22:06 UTC
https://github.com/ceph/ceph/pull/9015 is present in v10.2.1

Comment 7 shilpa 2016-07-24 06:32:18 UTC
Tested on ceph-10.2.2-24. Moving to verified

Comment 9 errata-xmlrpc 2016-08-23 19:37:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1755.html


Note You need to log in before you can comment on or make changes to this bug.